# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'icalia/foresight/version'

Gem::Specification.new do |spec|
  spec.name          = "icalia-foresight"
  spec.version       = Icalia::Foresight::VERSION
  spec.authors       = ["Roberto Quintanilla", "René Saenz"]
  spec.email         = ["vov@icalialabs.com", "rene.saaenz@gmail.com"]

  spec.summary       = %q{Icalia Foresight SDK/Client library for Ruby}
  spec.description   = %q{Icalia Foresight SDK/Client library for Ruby}
  spec.homepage      = "http://github.com/IcaliaLabs/foresight-gem"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  all_things_rails_version_string = ['>= 4.2', '< 6']
  spec.add_runtime_dependency %q<activemodel>, all_things_rails_version_string

  spec.add_runtime_dependency "faraday", "~> 0.10", ">= 0.10.0"
  spec.add_runtime_dependency "json_api_client", "~> 1.5", ">= 1.5.1"

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
